<!DOCTYPE html>
<html lang="en">
    <head>
        <title>FAQs - AAC Tools by Meerchat AAC</title>

        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta name="description" content="AAC tools is dedicated to open and available tools to make working with AAC easier for everyone." />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="robots" content="index" />
        
        <link rel="icon" href="./images/aac.tools.svg" type="image/svg+xml" sizes="any" />
        <link rel="apple-touch-icon" sizes="180x180" href="./images/meerchat.png" />

        <link type="text/css" rel="stylesheet" href="./style/style.min.css" />

        <script src="https://cdn.passwordless.dev/dist/1.1.0/umd/passwordless.umd.min.js" crossorigin="anonymous"></script>
        <script src="https://assets.meerchat.app/js/api/api.js"></script>
        <script src="./js/tools.js"></script>
    </head>

    <body>
        <header>
            <img src="./images/aac.tools.svg" alt="AAC Tools" />
            <span class="title">AAC tools</span>
            <user-details style="height: 5rem;"></user-details>
        </header>
        <div class="policy">
            <span class="title">FAQ! Need some help?</span>
            <span>
                We are here to help! If you have any questions, please contact us at <a
                    href="mailto:support@meeerchat.app">support@meerchat.app</a>!
            </span>
            <search-bar placeholder="Search FAQs" active></search-bar>
            <div id="faqs"></div>
            <span>
                Not seeing what you're looking for? Please contact us at <a
                    href="mailto:support@meerchat.app">support@meerchat.app</a>.
            </span>
        </div>
        <site-footer></site-footer>

        <script>
            var questions = [
                {
                    title: "General",
                    questions: [
                        {
                            question: "What is AAC tools?",
                            answer: `
                                AAC.tools is presented by Meerchat to try and help provide some tools to anyone that needs AAC.
                            `
                        },
                        {
                            question: "What is AAC?",
                            answer: `
                                Augmentative and alternative communication (AAC) is an umbrella term that encompasses the
                                communication methods used to supplement or replace speech or writing for those with impairments
                                in the production or comprehension of spoken or written language. AAC is used by those with a wide
                                of speech and language impairments, including congenital impairments such as cerebral palsy, intellectual
                                impairment and autism, and acquired conditions such as amyotrophic lateral sclerosis and Parkinson's disease.
                            `
                        },
                        {
                            question: "What is Meerchat?",
                            answer: `
                                Meerchat is an innovative, cloud-based augmentative and alternative communication (AAC) 
                                application that can be accessed on any device and is designed with user-friendliness in mind.
                            `
                        },
                    ]
                },
                {
                    title: "Pricing",
                    questions: [
                        {
                            question: "How much does AAC.tools cost?",
                            answer: `AAC.tools is free to use!`
                        },
                        {
                            question: "Why is AAC.tools free?",
                            answer: `
                                We believe that everyone should have access to the tools they need to communicate.
                                That's why we made AAC.tools free to use.
                            `
                        },
                        {
                            question: "How does AAC.tools make money?",
                            answer: `
                                Our goal is to keep AAC.tools free for everyone for ever, with that said if you would like to donate to
                                help keep it that way, reach out to us at <a href="mailto:support@meerchat.app">support@meerchat.app</a>.
                            `
                        },
                    ]
                },
                {
                    title: "Boards",
                    questions: [
                        {
                            question: "Where do these boards come from?",
                            answer: `
                                The boards available on our low tech <a href="https://aac.tools/boards">Boards</a> page were created by the users
                                of <a href="https://meerchat.app">Meerchat AAC</a> and then published for anyone to use.
                            `
                        },
                        {
                            question: "Can I create my own boards?",
                            answer: `
                                Absolutely! Just sign up for a <a href="https://meerchat.app">Meerchat AAC</a> account and start communicating, it's 
                                <u>Free</u>. Once you have created a board, you can publish it for others to use.
                            `
                        },
                        {
                            question: "Can I print these boards to use as low tech boards?",
                            answer: `
                                You sure can. Once you find one you like just click the print button to the left side of the screen.
                            `
                        },
                        {
                            question: "The styles are missing when trying to print, what gives?",
                            answer: `
                                Every printer is different so you may need to adjust the settings to get the best results.
                                Their may be a setting that asks about printing background graphics, make sure that is enabled.
                                Also printing in landscape mode may help provide larger more readable buttons.
                            `
                        },
                    ],
                },
                {
                    title: "Authentication",
                    questions: [
                        {
                            question: "Where is my password?",
                            answer: `
                                AAC.tools uses the most up to date security standards when it comes to securing your account. 
                                That means we don't use passwords at all. Instead, we use a system called passwordless 
                                authentication. This means that you will never have to remember a password again! Instead, 
                                you will receive a link in your email when you register. At that point you will prompted to 
                                enter you system pin (device password/pin/fingerprint), this will create a super secure token
                                that is stored on your device. This token is used to authenticate you when you login.
                            `
                        },
                        {
                            question: "What if I lose my token or device?",
                            answer: `
                                We know things happen and sometimes you lose your device or it gets stolen. If this happens,
                                You can just go through the registration process again with your new device, it will create a new
                                token and you will be able to pick up where you left off.
                            `
                        }
                    ]
                },
                {
                    title: "Support",
                    questions: [
                        {
                            question: "How can I get support?",
                            answer: `
                                If you need support, join us on <a href="https://join.slack.com/t/meerchat-aac/shared_invite/zt-22uhgs1ck-deDeWnaTV0JxxFl5ngKuYw">Slack</a> or contact us at <a href="mailto:support@meerchat.app">support@meerchat.app</a>.
                            `
                        }
                    ]
                }
            ]

            // define settings
            const settings = {
                debug: false,
            };

            // add the web components after the app loads to make sure we have the available
            const components = [
                { path: 'website/footer', shared: false },
                { path: 'search-bar', shared: true },
                { path: 'user-details', shared: true },
            ];
            components.forEach((c) => {
                let url = '.';
                if (c.shared) {
                    url = settings.debug ? `https://assets.meerchat.app` : `https://assets.meerchat.app`;
                }

                const script = document.createElement('script');
                script.src = `${url}/js/components/${c.path}/${settings.debug ? 'component.js' : 'component.min.js'}`;
                document.body.appendChild(script);
            });

            // start the app
            window.Tools = null;
            const run = async () => {
                window.Tools = await Application(settings);

                 // add the search functionality
                const search = document.querySelector(".policy search-bar")
                search.setOnSubmit(buildFAQs.bind(this))
                search.setOnCancel(() => { buildFAQs("") })
            };
            run();

            // build the FAQs based on the search string
            const buildFAQs = (search = "") => {
                // clear the current page
                const faqs = document.getElementById("faqs")
                faqs.innerHTML = ""

                for (const i in questions) {
                    const group = questions[i]

                    // filter the questions based on the search string
                    let filteredQuestions = group.questions
                    if (search !== "") {
                        filteredQuestions = filteredQuestions.filter((question) => {
                            return question.question.toLowerCase().includes(search) || question.answer.toLowerCase().includes(search)
                        })
                    }

                    // if there are no questions in the group, skip it
                    if (filteredQuestions.length === 0) {
                        continue
                    }

                    // create a group element
                    const groupElement = document.createElement("div")
                    groupElement.classList.add("faq-group")
                    groupElement.innerHTML = `<div class="group-title">${group.title}</div>`

                    for (const [index, question] of filteredQuestions.entries()) {
                        const qid = `q${i}${index}`

                        // add each question to the group
                        const questionElement = document.createElement("div")
                        questionElement.classList.add("faq")
                        questionElement.innerHTML = `
                            <input type="checkbox" id="${qid}" class="question-box hidden" />
                            <label for="${qid}" class="question">
                                <i class="far fa-chevron-circle-down"></i>${question.question}
                            </label>
                            <div class="answer">${question.answer}</div>
                        `
                        groupElement.appendChild(questionElement)
                    }

                    // add to the page
                    faqs.appendChild(groupElement)
                }
            }

            buildFAQs()
        </script>
    </body>
</html>